
// REMOVED, CHANGED TO PULLDOWN 01/22/2023
//    {
//      "name": "SETTING_LUXMETER",
//      "type": "ACCheckbox",
//      "value": "1",
//      "label": "Enable LUX Meter, Overrides brightness",
//      "checked": "true",
//      "global": "true"
//    },

#ifdef IV_9_6D_RR
const char PAGE_ADD[] PROGMEM = R"(
{
  "uri": "/clockconfig",
  "title": "Clock Config",
  "menu": true,
  "element": [
    { "name": "SETTING_BRIGHTNESS", "type": "ACInput", "label": "Brightness 0-255, max brightness if Lux meter enabled", "apply": "number", "global": "true" },
    { "name": "SETTING_LUXMETER", "type": "ACSelect", "option":  [ "Disable - default", "Enable - Read every second and adjust brightness", "Enable - Read every second but do not adjust brightness" ], "label": "LUX Meter" },
    { "name": "newline1", "type": "ACElement", "value": "<hr>" },
    { "name": "SETTING_12H", "type": "ACCheckbox", "value": "1", "label": "Enable 12 hour display", "checked": "false", "global": "true" },
    { "name": "SETTING_LZBLANK", "type": "ACCheckbox", "value": "1", "label": "Enable leading zero blanking - time only", "checked": "false", "global": "true" },
    { "name": "SETTING_CROSSFADE", "type": "ACCheckbox", "value": "1", "label": "Enable digit cross fading", "checked": "false", "global": "true" },
    { "name": "SETTING_COLON", "type": "ACSelect", "option":  [ "Enable - default", "Disable" ], "label": "Colon" },
    { "name": "newline2", "type": "ACElement", "value": "<hr>" },    
    { "name": "SETTING_TEMPHUM", "type": "ACSelect", "option":  [ "Read every 10 seconds only when display is active - default", "Enable - Read every second", "Enable - Read every 10 seconds" ], "label": "Temp/Humidity Sensor" },
    { "name": "SETTING_TEMPDISP_SEC", "type": "ACInput", "label": "Temperature display, every X seconds", "apply": "number", "global": "true"},
    { "name": "SETTING_TEMPDISP_DUR", "type": "ACInput", "label": "Temperature Display, duration in seconds", "apply": "number", "global": "true"},
    { "name": "SETTING_TEMP_COMP", "type": "ACInput", "label": "Temperature compensation in 1/10th degree C", "apply": "number", "global": "true"},
    { "name": "SETTING_HUMIDITY_COMP", "type": "ACInput", "label": "Humidity compensation", "apply": "number", "global": "true"},
    { "name": "SETTING_TEMP_IN_C", "type": "ACCheckbox", "value": "1", "label": "Temperature, set to Celsius - default is Fahrenheit", "checked": "false", "global": "true"},
    { "name": "newline3", "type": "ACElement", "value": "<hr>"},
    { "name": "SETTING_BMP", "type": "ACSelect", "option":  [ "Disable - default", "Enable - Read every second", "Enable - Read every 10 seconds" ], "label": "BMP280"},
    { "name": "newline4", "type": "ACElement", "value": "<hr>"},
    { "name": "SETTING_DATEFORMAT", "type": "ACSelect", "option":  [ "Month Day Year - default", "Year Month Day", "Day Month Year" ], "label": "Date Format"},
    { "name": "SETTING_DATEDISP_SEC", "type": "ACInput", "label": "Date Display, every X seconds", "apply": "number", "global": "true"},
    { "name": "SETTING_DATEDISP_DUR", "type": "ACInput", "label": "Date Display, duration in seconds", "apply": "number", "global": "true"},
    { "name": "newline5", "type": "ACElement", "value": "<hr>"},
    { "name": "SETTING_TIMEZONE", "type": "ACInput", "label": "Timezone", "apply": "text", "global": "true"},
    { "name": "sometimezonetext", "type": "ACText", "value": "Example zones:<br>UTC0<br>PST8PDT,M3.2.0,M11.1.0<br>MST7<br>MST7MDT,M3.2.0,M11.1.0<br>CST6CDT,M3.2.0,M11.1.0<br>EST5EDT,M3.2.0,M11.1.0<br>More Timezone codes <a href=http:/\/github.com/nayarsystems/posix_tz_db/blob/master/zones.csv>Here</a><br><br>", "style": ""},
    { "name": "newline7", "type": "ACElement", "value": "<hr>"},
    { "name": "somemoretextbla1", "type": "ACText", "value": "", "style": ""},
    { "name": "add", "type": "ACSubmit", "value": "Submit", "uri": "/clockconfig" }
  ]
}
)";

const char PAGE_CLOCKCONFIGADVANCED[] PROGMEM = R"(
{
  "uri": "/clockconfigadvanced",
  "title": "Clock Config Advanced",
  "menu": true,
  "element": [
    { "name": "SETTING_NTPSERVER", "type": "ACInput", "label": "NTP SERVER", "apply": "text", "global": "true"},
    { "name": "newline1", "type": "ACElement", "value": "<hr>"},
    { "name": "SETTING_MQTTENABLE", "type": "ACCheckbox", "value": "1", "label": "MQTT Enable", "checked": "false", "global": "true"},
    { "name": "SETTING_MQTTBRIGHT", "type": "ACCheckbox", "value": "1", "label": "Set brightness via MQTT", "checked": "false", "global": "true"},
    { "name": "SETTING_MQTTSERVER", "type": "ACInput", "label": "MQTT SERVER", "apply": "text", "global": "true"},
    { "name": "SETTING_MQTTPORT", "type": "ACInput", "label": "MQTT PORT", "apply": "text", "global": "true"},
    { "name": "SETTING_MQTTUSERNAME", "type": "ACInput", "label": "MQTT USER", "apply": "text", "global": "true"},
    { "name": "SETTING_MQTTPASSWORD", "type": "ACInput", "label": "MQTT PASSWORD", "apply": "text", "global": "true"}, 
    { "name": "SETTING_MQTTROOT", "type": "ACInput", "label": "MQTT root topic", "apply": "text", "global": "true"},
    { "name": "sometext1", "type": "ACText", "value": "When blank default root topic is clock/neonixie/", "style": ""}, { "name": "web_tmp_hostname", "type": "ACText", "value": "", "style": ""}, { "name": "sometext2", "type": "ACText", "value": "/<br>", "style": ""},
    { "name": "SETTING_MQTTTEMP_F", "type": "ACCheckbox", "value": "1", "label": "Topic temperature_f", "checked": "false", "global": "true"},
    { "name": "SETTING_MQTTTEMP_C", "type": "ACCheckbox", "value": "1", "label": "Topic temperature_c", "checked": "false", "global": "true"},
    { "name": "SETTING_MQTTHUM", "type": "ACCheckbox", "value": "1", "label": "Topic hum", "checked": "false", "global": "true"},
    { "name": "SETTING_MQTTLUX", "type": "ACCheckbox", "value": "1", "label": "Topic lux", "checked": "false", "global": "true"},
    { "name": "SETTING_MQTTbmp_PA", "type": "ACCheckbox", "value": "1", "label": "Topic bmp_PA", "checked": "false", "global": "true"},
    { "name": "SETTING_MQTTbmp_HG", "type": "ACCheckbox", "value": "1", "label": "Topic bmp_HG", "checked": "false", "global": "true"},
    { "name": "SETTING_MQTTbmp_METERS", "type": "ACCheckbox", "value": "1", "label": "Topic bmp_METERS", "checked": "false", "global": "true"},
    { "name": "SETTING_MQTTbmp_FEET", "type": "ACCheckbox", "value": "1", "label": "Topic bmp_FEET", "checked": "false", "global": "true"},
    { "name": "SETTING_MQTTbmp_TEMP_C", "type": "ACCheckbox", "value": "1", "label": "Topic bmp_TEMPERATURE_C", "checked": "false", "global": "true"},
    { "name": "SETTING_MQTTRSSI", "type": "ACCheckbox", "value": "1", "label": "Topic RSSI", "checked": "false", "global": "true"},
    { "name": "sometext3", "type": "ACText", "value": "A restart may be needed after MQTT changes<br>", "style": ""},
    { "name": "newline2", "type": "ACElement", "value": "<hr>"},
    { "name": "SETTING_TUBEONBOTTOM", "type": "ACSelect", "option":  [ "No - Tubes mounted on top silkscreen side", "Yes - Tube mounted on bottom of PCB" ], "label": "Tubes on bottom of PCB" }, 
    { "name": "newline3", "type": "ACElement", "value": "<hr>"},
    { "name": "SETTING_ALTDISPLAY", "type": "ACSelect", "option":  [ "Standard Display - DEFAULT", "Altimeter", "RSSI", "LUX", "Barometer HG" ], "label": "Alternate Display"},
    { "name": "newline4", "type": "ACElement", "value": "<hr>"},
    { "name": "SETTING_KEEPWARMRATIO", "type": "ACInput", "label": "Segment keep-warm ratio 1/x", "apply": "text", "global": "true"},
    { "name": "sometextkeepwarm", "type": "ACText", "value": "This is the ratio that is used to keep unlit segments warm. Default 10.<br>10 = 1/10 or 10% duty cycle, 8 would be 1/8 or 12.5%, etc. Set to 0 to disable.", "style": ""},
    { "name": "newline5", "type": "ACElement", "value": "<hr>"},
    { "name": "SETTING_MINBRIGHTNESS", "type": "ACInput", "label": "Minimum Brightness 0-255, when Lux meter enabled", "apply": "number", "global": "true" },
    { "name": "newline6", "type": "ACElement", "value": "<hr>"},
    { "name": "SETTING_QUICKBOOT", "type": "ACCheckbox", "value": "1", "label": "Quickboot Enable - Bypass Lamp Check and IP display", "checked": "false", "global": "true"},
    { "name": "newline7", "type": "ACElement", "value": "<hr>"},
    { "name": "add", "type": "ACSubmit", "value": "Submit", "uri": "/clockconfigadvanced"}
  ]
}
)";
#endif

#ifdef Z57XM6DV2
const char PAGE_ADD[] PROGMEM = R"(
{
  "uri": "/clockconfig",
  "title": "Clock Config",
  "menu": true,
  "element": [
    { "name": "SETTING_BRIGHTNESS", "type": "ACInput", "label": "Brightness 0-255, max brightness if Lux meter enabled", "apply": "number", "global": "true" },
    { "name": "SETTING_LUXMETER", "type": "ACSelect", "option":  [ "Disable - default", "Enable - Read every second and adjust brightness", "Enable - Read every second but do not adjust brightness" ], "label": "LUX Meter" },
    { "name": "newline1", "type": "ACElement", "value": "<hr>" },
    { "name": "SETTING_12H", "type": "ACCheckbox", "value": "1", "label": "Enable 12 hour display", "checked": "false", "global": "true" },
    { "name": "SETTING_LZBLANK", "type": "ACCheckbox", "value": "1", "label": "Enable leading zero blanking - time only", "checked": "false", "global": "true" },
    { "name": "SETTING_CROSSFADE", "type": "ACCheckbox", "value": "1", "label": "Enable digit cross fading", "checked": "false", "global": "true" },
    { "name": "SETTING_COLON", "type": "ACSelect", "option":  [ "Enable - default", "Disable" ], "label": "Colon" },
    { "name": "newline2", "type": "ACElement", "value": "<hr>" },    
    { "name": "SETTING_TEMPHUM", "type": "ACSelect", "option":  [ "Read every 10 seconds only when display is active - default", "Enable - Read every second", "Enable - Read every 10 seconds" ], "label": "Temp/Humidity Sensor" },
    { "name": "SETTING_TEMPDISP_SEC", "type": "ACInput", "label": "Temperature display, every X seconds", "apply": "number", "global": "true"},
    { "name": "SETTING_TEMPDISP_DUR", "type": "ACInput", "label": "Temperature Display, duration in seconds", "apply": "number", "global": "true"},
    { "name": "SETTING_TEMP_COMP", "type": "ACInput", "label": "Temperature compensation in 1/10th degree C", "apply": "number", "global": "true"},
    { "name": "SETTING_HUMIDITY_COMP", "type": "ACInput", "label": "Humidity compensation", "apply": "number", "global": "true"},
    { "name": "SETTING_TEMP_IN_C", "type": "ACCheckbox", "value": "1", "label": "Temperature, set to Celsius - default is Fahrenheit", "checked": "false", "global": "true"},
    { "name": "newline3", "type": "ACElement", "value": "<hr>"},
    { "name": "SETTING_BMP", "type": "ACSelect", "option":  [ "Disable - default", "Enable - Read every second", "Enable - Read every 10 seconds" ], "label": "BMP280"},
    { "name": "newline4", "type": "ACElement", "value": "<hr>"},
    { "name": "SETTING_DATEFORMAT", "type": "ACSelect", "option":  [ "Month Day Year - default", "Year Month Day", "Day Month Year" ], "label": "Date Format"},
    { "name": "SETTING_DATEDISP_SEC", "type": "ACInput", "label": "Date Display, every X seconds", "apply": "number", "global": "true"},
    { "name": "SETTING_DATEDISP_DUR", "type": "ACInput", "label": "Date Display, duration in seconds", "apply": "number", "global": "true"},
    { "name": "newline5", "type": "ACElement", "value": "<hr>"},
    { "name": "SETTING_CATHODEPP", "type": "ACSelect", "option":  [ "Disable - default", "Enable", "Enable - override brightness setting to FULL", "Enable - override brightness setting to HALF" ], "label": "Cathode Poisoning Prevention"},
    { "name": "SETTING_CATHODEPPSTART", "type": "ACInput", "label": "Cathode Poisoning Prevention Start Hour 0-23 - default 3", "apply": "number", "global": "true"},
    { "name": "SETTING_CATHODEPPDUR", "type": "ACInput", "label": "Cathode Poisoning Prevention Duration 1-24 hours - default 1", "apply": "number", "global": "true"},
    { "name": "SETTING_CATHODEPPREV", "type": "ACInput", "label": "Cathode Poisoning Prevention, Revert to regular display; every X seconds", "apply": "number", "global": "true"},
    { "name": "SETTING_CATHODEPPREVD", "type": "ACInput", "label": "Cathode Poisoning Prevention, Revert to regular display; duration seconds", "apply": "number", "global": "true"},
    { "name": "newline6", "type": "ACElement", "value": "<hr>"},
    { "name": "SETTING_TIMEZONE", "type": "ACInput", "label": "Timezone", "apply": "text", "global": "true"},
    { "name": "sometimezonetext", "type": "ACText", "value": "Example zones:<br>UTC0<br>PST8PDT,M3.2.0,M11.1.0<br>MST7<br>MST7MDT,M3.2.0,M11.1.0<br>CST6CDT,M3.2.0,M11.1.0<br>EST5EDT,M3.2.0,M11.1.0<br>More Timezone codes <a href=http:/\/github.com/nayarsystems/posix_tz_db/blob/master/zones.csv>Here</a><br><br>", "style": ""},
    { "name": "newline7", "type": "ACElement", "value": "<hr>"},
    { "name": "somemoretextbla1", "type": "ACText", "value": "", "style": ""},
    { "name": "add", "type": "ACSubmit", "value": "Submit", "uri": "/clockconfig" }
  ]
}
)";

const char PAGE_CLOCKCONFIGADVANCED[] PROGMEM = R"(
{
  "uri": "/clockconfigadvanced",
  "title": "Clock Config Advanced",
  "menu": true,
  "element": [
    { "name": "SETTING_NTPSERVER", "type": "ACInput", "label": "NTP SERVER", "apply": "text", "global": "true"},
    { "name": "newline1", "type": "ACElement", "value": "<hr>"},
    { "name": "SETTING_MQTTENABLE", "type": "ACCheckbox", "value": "1", "label": "MQTT Enable", "checked": "false", "global": "true"},
    { "name": "SETTING_MQTTBRIGHT", "type": "ACCheckbox", "value": "1", "label": "Set brightness via MQTT", "checked": "false", "global": "true"},
    { "name": "SETTING_MQTTSERVER", "type": "ACInput", "label": "MQTT SERVER", "apply": "text", "global": "true"},
    { "name": "SETTING_MQTTPORT", "type": "ACInput", "label": "MQTT PORT", "apply": "text", "global": "true"},
    { "name": "SETTING_MQTTUSERNAME", "type": "ACInput", "label": "MQTT USER", "apply": "text", "global": "true"},
    { "name": "SETTING_MQTTPASSWORD", "type": "ACInput", "label": "MQTT PASSWORD", "apply": "text", "global": "true"}, 
    { "name": "SETTING_MQTTROOT", "type": "ACInput", "label": "MQTT root topic", "apply": "text", "global": "true"},
    { "name": "sometext1", "type": "ACText", "value": "When blank default root topic is clock/neonixie/", "style": ""}, { "name": "web_tmp_hostname", "type": "ACText", "value": "", "style": ""}, { "name": "sometext2", "type": "ACText", "value": "/<br>", "style": ""},
    { "name": "SETTING_MQTTTEMP_F", "type": "ACCheckbox", "value": "1", "label": "Topic temperature_f", "checked": "false", "global": "true"},
    { "name": "SETTING_MQTTTEMP_C", "type": "ACCheckbox", "value": "1", "label": "Topic temperature_c", "checked": "false", "global": "true"},
    { "name": "SETTING_MQTTHUM", "type": "ACCheckbox", "value": "1", "label": "Topic hum", "checked": "false", "global": "true"},
    { "name": "SETTING_MQTTLUX", "type": "ACCheckbox", "value": "1", "label": "Topic lux", "checked": "false", "global": "true"},
    { "name": "SETTING_MQTTbmp_PA", "type": "ACCheckbox", "value": "1", "label": "Topic bmp_PA", "checked": "false", "global": "true"},
    { "name": "SETTING_MQTTbmp_HG", "type": "ACCheckbox", "value": "1", "label": "Topic bmp_HG", "checked": "false", "global": "true"},
    { "name": "SETTING_MQTTbmp_METERS", "type": "ACCheckbox", "value": "1", "label": "Topic bmp_METERS", "checked": "false", "global": "true"},
    { "name": "SETTING_MQTTbmp_FEET", "type": "ACCheckbox", "value": "1", "label": "Topic bmp_FEET", "checked": "false", "global": "true"},
    { "name": "SETTING_MQTTbmp_TEMP_C", "type": "ACCheckbox", "value": "1", "label": "Topic bmp_TEMPERATURE_C", "checked": "false", "global": "true"},
    { "name": "SETTING_MQTTRSSI", "type": "ACCheckbox", "value": "1", "label": "Topic RSSI", "checked": "false", "global": "true"},
    { "name": "sometext3", "type": "ACText", "value": "A restart may be needed after MQTT changes<br>", "style": ""},
    { "name": "newline2", "type": "ACElement", "value": "<hr>"},
    { "name": "SETTING_ALTDISPLAY", "type": "ACSelect", "option":  [ "Standard Display - DEFAULT", "Altimeter", "RSSI", "LUX", "Barometer HG" ], "label": "Alternate Display"},
    { "name": "newline4", "type": "ACElement", "value": "<hr>"},
    { "name": "SETTING_MINBRIGHTNESS", "type": "ACInput", "label": "Minimum Brightness 0-255, when Lux meter enabled", "apply": "number", "global": "true" },
    { "name": "newline5", "type": "ACElement", "value": "<hr>"},
    { "name": "SETTING_QUICKBOOT", "type": "ACCheckbox", "value": "1", "label": "Quickboot Enable - Bypass Lamp Check and IP display", "checked": "false", "global": "true"},
    { "name": "newline6", "type": "ACElement", "value": "<hr>"},
    { "name": "add", "type": "ACSubmit", "value": "Submit", "uri": "/clockconfigadvanced"}
  ]
}
)";
#endif


// COMMON TO BOTH CLOCKS
// NOTE, with default settings in AutoConnectDefs.h of... #define AUTOCONNECT_JSONDOCUMENT_SIZE   (8 * 1024)
// The code below with large number of ACSelect elements would NOT work
// Changing to the following made it work...  #define AUTOCONNECT_JSONDOCUMENT_SIZE   (16 * 1024)
// Note there is both a regular and PSRAM define.
// Trimming down the variables to have less pulldown elements works as well
// File to adjust is usually in Arduino\libraries\AutoConnect\src   A #define in the main source code did not seem to work
const char PAGE_ALARM[] PROGMEM = R"(
{
  "uri": "/alarm",
  "title": "Alarm",
  "menu": true,
  "element": [
    { "name": "sometextheaderalarm", "type": "ACText", "value": "Month and Day must be set to Any for weekday selection<br>Month and Day are ignored when any weekday is selected", "style": ""},
    { "name": "newheadline1", "type": "ACElement", "value": "<hr>"},
  
    { "name": "SETTING_ALARM1ENABLE", "type": "ACCheckbox", "value": "1", "label": "Alarm 1 Enable", "checked": "false", "global": "true"},
    { "name": "SETTING_ALARM1SUN", "type": "ACCheckbox", "value": "1", "label": "S", "checked": "false", "posterior": "none"},
    { "name": "SETTING_ALARM1MON", "type": "ACCheckbox", "value": "1", "label": "M", "checked": "false", "posterior": "none"},
    { "name": "SETTING_ALARM1TUE", "type": "ACCheckbox", "value": "1", "label": "T", "checked": "false", "posterior": "none"},
    { "name": "SETTING_ALARM1WED", "type": "ACCheckbox", "value": "1", "label": "W", "checked": "false", "posterior": "none"},
    { "name": "SETTING_ALARM1THU", "type": "ACCheckbox", "value": "1", "label": "Th", "checked": "false", "posterior": "none"},
    { "name": "SETTING_ALARM1FRI", "type": "ACCheckbox", "value": "1", "label": "F", "checked": "false", "posterior": "none"},
    { "name": "SETTING_ALARM1SAT", "type": "ACCheckbox", "value": "1", "label": "S", "checked": "false"},
    { "name": "SETTING_ALARM1MONTH", "type": "ACSelect", "option":  [ "01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12", "Any" ], "label": "Month", "posterior": "none"},
    { "name": "SETTING_ALARM1DAY", "type": "ACSelect", "option":  [ "01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20", "21", "22", "23", "24", "25", "26", "27", "28", "29", "30", "31", "Any" ], "label": "Day", "posterior": "none"},    
    { "name": "SETTING_ALARM1HOUR", "type": "ACSelect", "option":  [ "00 / 12 AM", "01 / 1 AM", "02 / 2 AM", "03 / 3 AM", "04 / 4 AM", "05 / 5 AM", "06 / 6 AM", "07 / 7 AM", "08 / 8 AM", "09 / 9 AM", "10 / 10 AM", "11 / 11 AM", "12 / 12 PM", "13 / 1 PM", "14 / 2 PM", "15 / 3 PM", "16 / 4 PM", "17 / 5 PM", "18 / 6 PM", "19 / 7 PM", "20 / 8 PM", "21 / 9 PM", "22 / 10 PM", "23 / 11 PM", "Any" ], "label": "Time", "posterior": "none"},
    { "name": "SETTING_ALARM1MIN", "type": "ACSelect", "option":  [ "00", "01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20", "21", "22", "23", "24", "25", "26", "27", "28", "29", "30", "31", "32", "33", "34", "35", "36", "37", "38", "39", "40", "41", "42", "43", "44", "45", "46", "47", "48", "49", "50", "51", "52", "53", "54", "55", "56", "57", "58", "59", "Any" ], "label": ""},
    { "name": "SETTING_ALARM1DUR", "type": "ACSelect", "option":  [ "Until canceled", "2 seconds", "5 seconds", "10 seconds", "30 seconds", "1 minute", "2 minutes", "3 minutes","4 minutes", "5 minutes", "6 minutes", "7 minutes", "8 minutes", "9 minutes", "10 minutes" ], "label": "Duration", "posterior": "none"},
    { "name": "SETTING_ALARM1TUNE", "type": "ACSelect", "option":  [ "DingDong 2 sec", "Tetris", "Mario", "Arkanoid", "Star Wars End", "Mozart", "Happy Birthday", "Custom 1", "Custom 2", "Custom 3" ], "label": "Tune"},
    { "name": "newline1", "type": "ACElement", "value": "<hr>"},

    { "name": "SETTING_ALARM2ENABLE", "type": "ACCheckbox", "value": "1", "label": "Alarm 2 Enable", "checked": "false", "global": "true"},
    { "name": "SETTING_ALARM2SUN", "type": "ACCheckbox", "value": "1", "label": "S", "checked": "false", "posterior": "none"},
    { "name": "SETTING_ALARM2MON", "type": "ACCheckbox", "value": "1", "label": "M", "checked": "false", "posterior": "none"},
    { "name": "SETTING_ALARM2TUE", "type": "ACCheckbox", "value": "1", "label": "T", "checked": "false", "posterior": "none"},
    { "name": "SETTING_ALARM2WED", "type": "ACCheckbox", "value": "1", "label": "W", "checked": "false", "posterior": "none"},
    { "name": "SETTING_ALARM2THU", "type": "ACCheckbox", "value": "1", "label": "Th", "checked": "false", "posterior": "none"},
    { "name": "SETTING_ALARM2FRI", "type": "ACCheckbox", "value": "1", "label": "F", "checked": "false", "posterior": "none"},
    { "name": "SETTING_ALARM2SAT", "type": "ACCheckbox", "value": "1", "label": "S", "checked": "false"},
    { "name": "SETTING_ALARM2MONTH", "type": "ACSelect", "option":  [ "01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12", "Any" ], "label": "Month", "posterior": "none"},
    { "name": "SETTING_ALARM2DAY", "type": "ACSelect", "option":  [ "01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20", "21", "22", "23", "24", "25", "26", "27", "28", "29", "30", "31", "Any" ], "label": "Day", "posterior": "none"},    
    { "name": "SETTING_ALARM2HOUR", "type": "ACSelect", "option":  [ "00 / 12 AM", "01 / 1 AM", "02 / 2 AM", "03 / 3 AM", "04 / 4 AM", "05 / 5 AM", "06 / 6 AM", "07 / 7 AM", "08 / 8 AM", "09 / 9 AM", "10 / 10 AM", "11 / 11 AM", "12 / 12 PM", "13 / 1 PM", "14 / 2 PM", "15 / 3 PM", "16 / 4 PM", "17 / 5 PM", "18 / 6 PM", "19 / 7 PM", "20 / 8 PM", "21 / 9 PM", "22 / 10 PM", "23 / 11 PM", "Any" ], "label": "Time", "posterior": "none"},
    { "name": "SETTING_ALARM2MIN", "type": "ACSelect", "option":  [ "00", "01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20", "21", "22", "23", "24", "25", "26", "27", "28", "29", "30", "31", "32", "33", "34", "35", "36", "37", "38", "39", "40", "41", "42", "43", "44", "45", "46", "47", "48", "49", "50", "51", "52", "53", "54", "55", "56", "57", "58", "59", "Any" ], "label": ""},
    { "name": "SETTING_ALARM2DUR", "type": "ACSelect", "option":  [ "Until canceled", "2 seconds", "5 seconds", "10 seconds", "30 seconds", "1 minute", "2 minutes", "3 minutes","4 minutes", "5 minutes", "6 minutes", "7 minutes", "8 minutes", "9 minutes", "10 minutes" ], "label": "Duration", "posterior": "none"},
    { "name": "SETTING_ALARM2TUNE", "type": "ACSelect", "option":  [ "DingDong 2 sec", "Tetris", "Mario", "Arkanoid", "Star Wars End", "Mozart", "Happy Birthday", "Custom 1", "Custom 2", "Custom 3" ], "label": "Tune"},
    { "name": "newline2", "type": "ACElement", "value": "<hr>"},

    { "name": "SETTING_ALARM3ENABLE", "type": "ACCheckbox", "value": "1", "label": "Alarm 3 Enable", "checked": "false", "global": "true"},
    { "name": "SETTING_ALARM3SUN", "type": "ACCheckbox", "value": "1", "label": "S", "checked": "false", "posterior": "none"},
    { "name": "SETTING_ALARM3MON", "type": "ACCheckbox", "value": "1", "label": "M", "checked": "false", "posterior": "none"},
    { "name": "SETTING_ALARM3TUE", "type": "ACCheckbox", "value": "1", "label": "T", "checked": "false", "posterior": "none"},
    { "name": "SETTING_ALARM3WED", "type": "ACCheckbox", "value": "1", "label": "W", "checked": "false", "posterior": "none"},
    { "name": "SETTING_ALARM3THU", "type": "ACCheckbox", "value": "1", "label": "Th", "checked": "false", "posterior": "none"},
    { "name": "SETTING_ALARM3FRI", "type": "ACCheckbox", "value": "1", "label": "F", "checked": "false", "posterior": "none"},
    { "name": "SETTING_ALARM3SAT", "type": "ACCheckbox", "value": "1", "label": "S", "checked": "false"},
    { "name": "SETTING_ALARM3MONTH", "type": "ACSelect", "option":  [ "01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12", "Any" ], "label": "Month", "posterior": "none"},
    { "name": "SETTING_ALARM3DAY", "type": "ACSelect", "option":  [ "01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20", "21", "22", "23", "24", "25", "26", "27", "28", "29", "30", "31", "Any" ], "label": "Day", "posterior": "none"},    
    { "name": "SETTING_ALARM3HOUR", "type": "ACSelect", "option":  [ "00 / 12 AM", "01 / 1 AM", "02 / 2 AM", "03 / 3 AM", "04 / 4 AM", "05 / 5 AM", "06 / 6 AM", "07 / 7 AM", "08 / 8 AM", "09 / 9 AM", "10 / 10 AM", "11 / 11 AM", "12 / 12 PM", "13 / 1 PM", "14 / 2 PM", "15 / 3 PM", "16 / 4 PM", "17 / 5 PM", "18 / 6 PM", "19 / 7 PM", "20 / 8 PM", "21 / 9 PM", "22 / 10 PM", "23 / 11 PM", "Any" ], "label": "Time", "posterior": "none"},
    { "name": "SETTING_ALARM3MIN", "type": "ACSelect", "option":  [ "00", "01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20", "21", "22", "23", "24", "25", "26", "27", "28", "29", "30", "31", "32", "33", "34", "35", "36", "37", "38", "39", "40", "41", "42", "43", "44", "45", "46", "47", "48", "49", "50", "51", "52", "53", "54", "55", "56", "57", "58", "59", "Any" ], "label": ""},
    { "name": "SETTING_ALARM3DUR", "type": "ACSelect", "option":  [ "Until canceled", "2 seconds", "5 seconds", "10 seconds", "30 seconds", "1 minute", "2 minutes", "3 minutes","4 minutes", "5 minutes", "6 minutes", "7 minutes", "8 minutes", "9 minutes", "10 minutes" ], "label": "Duration", "posterior": "none"},
    { "name": "SETTING_ALARM3TUNE", "type": "ACSelect", "option":  [ "DingDong 2 sec", "Tetris", "Mario", "Arkanoid", "Star Wars End", "Mozart", "Happy Birthday", "Custom 1", "Custom 2", "Custom 3" ], "label": "Tune"},
    { "name": "newline3", "type": "ACElement", "value": "<hr>"},

    { "name": "SETTING_RTTTL1", "type": "ACInput", "label": "Custom RTTTL Tune 1", "apply": "text", "global": "true"},
    { "name": "SETTING_RTTTL2", "type": "ACInput", "label": "Custom RTTTL Tune 2", "apply": "text", "global": "true"},
    { "name": "SETTING_RTTTL3", "type": "ACInput", "label": "Custom RTTTL Tune 3", "apply": "text", "global": "true"},
    { "name": "newline4", "type": "ACElement", "value": "<hr>"},

    { "name": "SETTING_ONETIMEPLAY", "type": "ACSelect", "option":  [ "None", "DingDong 2 sec", "Tetris", "Mario", "Arkanoid", "Star Wars End", "Mozart", "Happy Birthday", "Custom 1", "Custom 2", "Custom 3" ], "label": "Test Play Tune"},
    { "name": "newline5", "type": "ACElement", "value": "<hr>"},

    { "name": "add", "type": "ACSubmit", "value": "Submit", "uri": "/alarm"}
  ]
}
)";

/*     
 *      
 *      
    { "name": "SETTING_ALARM1ENABLE", "type": "ACCheckbox", "value": "1", "label": "Alarm 1 Enable", "checked": "false", "global": "true"},
    { "name": "SETTING_ALARM1SUN", "type": "ACCheckbox", "value": "1", "label": "S", "checked": "false", "posterior": "none"},
    { "name": "SETTING_ALARM1MON", "type": "ACCheckbox", "value": "1", "label": "M", "checked": "false", "posterior": "none"},
    { "name": "SETTING_ALARM1TUE", "type": "ACCheckbox", "value": "1", "label": "T", "checked": "false", "posterior": "none"},
    { "name": "SETTING_ALARM1WED", "type": "ACCheckbox", "value": "1", "label": "W", "checked": "false", "posterior": "none"},
    { "name": "SETTING_ALARM1THU", "type": "ACCheckbox", "value": "1", "label": "Th", "checked": "false", "posterior": "none"},
    { "name": "SETTING_ALARM1FRI", "type": "ACCheckbox", "value": "1", "label": "F", "checked": "false", "posterior": "none"},
    { "name": "SETTING_ALARM1SAT", "type": "ACCheckbox", "value": "1", "label": "S", "checked": "false"},
    { "name": "SETTING_ALARM1HOUR", "type": "ACSelect", "option":  [ "00 / 12 AM", "01 / 1 AM", "02 / 2 AM", "03 / 3 AM", "04 / 4 AM", "05 / 5 AM", "06 / 6 AM", "07 / 7 AM", "08 / 8 AM", "09 / 9 AM", "10 / 10 AM", "11 / 11 AM", "12 / 12 PM", "13 / 1 PM", "14 / 2 PM", "15 / 3 PM", "16 / 4 PM", "17 / 5 PM", "18 / 6 PM", "19 / 7 PM", "20 / 8 PM", "21 / 9 PM", "22 / 10 PM", "23 / 11 PM" ], "label": "Time", "posterior": "none"},
    { "name": "SETTING_ALARM1MIN", "type": "ACSelect", "option":  [ "00", "01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20", "21", "22", "23", "24", "25", "26", "27", "28", "29", "30", "31", "32", "33", "34", "35", "36", "37", "38", "39", "40", "41", "42", "43", "44", "45", "46", "47", "48", "49", "50", "51", "52", "53", "54", "55", "56", "57", "58", "59" ], "label": "", "posterior": "none"},
    { "name": "SETTING_ALARM1DUR", "type": "ACSelect", "option":  [ "Until canceled", "2 seconds", "5 seconds", "10 seconds", "30 seconds", "1 minute", "2 minutes", "3 minutes","4 minutes", "5 minutes", "6 minutes", "7 minutes", "8 minutes", "9 minutes", "10 minutes" ], "label": "Duration"},
    { "name": "newline1", "type": "ACElement", "value": "<hr>"},
    
    { "name": "SETTING_ALARM3ENABLE", "type": "ACCheckbox", "value": "1", "label": "Alarm 3 Enable", "checked": "false", "global": "true"},
    { "name": "SETTING_ALARM3SUN", "type": "ACCheckbox", "value": "1", "label": "S", "checked": "false", "posterior": "none"},
    { "name": "SETTING_ALARM3MON", "type": "ACCheckbox", "value": "1", "label": "M", "checked": "false", "posterior": "none"},
    { "name": "SETTING_ALARM3TUE", "type": "ACCheckbox", "value": "1", "label": "T", "checked": "false", "posterior": "none"},
    { "name": "SETTING_ALARM3WED", "type": "ACCheckbox", "value": "1", "label": "W", "checked": "false", "posterior": "none"},
    { "name": "SETTING_ALARM3THU", "type": "ACCheckbox", "value": "1", "label": "Th", "checked": "false", "posterior": "none"},
    { "name": "SETTING_ALARM3FRI", "type": "ACCheckbox", "value": "1", "label": "F", "checked": "false", "posterior": "none"},
    { "name": "SETTING_ALARM3SAT", "type": "ACCheckbox", "value": "1", "label": "S", "checked": "false"},
    { "name": "SETTING_ALARM3HOUR", "type": "ACSelect", "option":  [ "00 / 12 AM", "01 / 1 AM", "02 / 2 AM", "03 / 3 AM", "04 / 4 AM", "05 / 5 AM", "06 / 6 AM", "07 / 7 AM", "08 / 8 AM", "09 / 9 AM", "10 / 10 AM", "11 / 11 AM", "12 / 12 PM", "13 / 1 PM", "14 / 2 PM", "15 / 3 PM", "16 / 4 PM", "17 / 5 PM", "18 / 6 PM", "19 / 7 PM", "20 / 8 PM", "21 / 9 PM", "22 / 10 PM", "23 / 11 PM" ], "label": "Time", "posterior": "none"},
    { "name": "SETTING_ALARM3MIN", "type": "ACSelect", "option":  [ "00", "05", "10", "15", "20", "25", "30", "35", "40", "45", "50", "55" ], "label": "", "posterior": "none"},
    { "name": "SETTING_ALARM3DUR", "type": "ACSelect", "option":  [ "Until canceled", "2 seconds", "5 seconds", "10 seconds", "30 seconds", "1 minute", "2 minutes", "3 minutes","4 minutes", "5 minutes", "6 minutes", "7 minutes", "8 minutes", "9 minutes", "10 minutes" ], "label": "Duration"},
    { "name": "newline3", "type": "ACElement", "value": "<hr>"},

 */

const char PAGE_TIMED_BRIGHTNESS[] PROGMEM = R"(
{
  "uri": "/timed_brightness",
  "title": "Timed Brightness",
  "menu": true,
  "element": [
    { "name": "sometext1", "type": "ACText", "value": "Sets specified brightness when time and weekdays match.<br>Time format in HHMM, 24hr, cannot span days.<br>", "style": ""},
    { "name": "newlineheader", "type": "ACElement", "value": "<hr>"},
  
    { "name": "SETTING_TB1ENABLE", "type": "ACCheckbox", "value": "1", "label": "Timed Brightness 1 Enable", "checked": "false", "global": "true"},
    { "name": "SETTING_TB1BRIGHT", "type": "ACInput", "label": "Brightness 0-255", "apply": "number", "global": "true"},
    { "name": "SETTING_TB1SUN", "type": "ACCheckbox", "value": "1", "label": "S", "checked": "false", "posterior": "none"},
    { "name": "SETTING_TB1MON", "type": "ACCheckbox", "value": "1", "label": "M", "checked": "false", "posterior": "none"},
    { "name": "SETTING_TB1TUE", "type": "ACCheckbox", "value": "1", "label": "T", "checked": "false", "posterior": "none"},
    { "name": "SETTING_TB1WED", "type": "ACCheckbox", "value": "1", "label": "W", "checked": "false", "posterior": "none"},
    { "name": "SETTING_TB1THU", "type": "ACCheckbox", "value": "1", "label": "Th", "checked": "false", "posterior": "none"},
    { "name": "SETTING_TB1FRI", "type": "ACCheckbox", "value": "1", "label": "F", "checked": "false", "posterior": "none"},
    { "name": "SETTING_TB1SAT", "type": "ACCheckbox", "value": "1", "label": "S", "checked": "false"},
    { "name": "SETTING_TB1FROM", "type": "ACInput", "label": "From", "apply": "number", "global": "true", "posterior": "none"},
    { "name": "SETTING_TB1TO", "type": "ACInput", "label": "To", "apply": "number", "global": "true"},
    { "name": "newline1", "type": "ACElement", "value": "<hr>"},

    { "name": "SETTING_TB2ENABLE", "type": "ACCheckbox", "value": "1", "label": "Timed Brightness 2 Enable", "checked": "false", "global": "true"},
    { "name": "SETTING_TB2BRIGHT", "type": "ACInput", "label": "Brightness 0-255", "apply": "number", "global": "true"},
    { "name": "SETTING_TB2SUN", "type": "ACCheckbox", "value": "1", "label": "S", "checked": "false", "posterior": "none"},
    { "name": "SETTING_TB2MON", "type": "ACCheckbox", "value": "1", "label": "M", "checked": "false", "posterior": "none"},
    { "name": "SETTING_TB2TUE", "type": "ACCheckbox", "value": "1", "label": "T", "checked": "false", "posterior": "none"},
    { "name": "SETTING_TB2WED", "type": "ACCheckbox", "value": "1", "label": "W", "checked": "false", "posterior": "none"},
    { "name": "SETTING_TB2THU", "type": "ACCheckbox", "value": "1", "label": "Th", "checked": "false", "posterior": "none"},
    { "name": "SETTING_TB2FRI", "type": "ACCheckbox", "value": "1", "label": "F", "checked": "false", "posterior": "none"},
    { "name": "SETTING_TB2SAT", "type": "ACCheckbox", "value": "1", "label": "S", "checked": "false"},
    { "name": "SETTING_TB2FROM", "type": "ACInput", "label": "From", "apply": "number", "global": "true", "posterior": "none"},
    { "name": "SETTING_TB2TO", "type": "ACInput", "label": "To", "apply": "number", "global": "true"},
    { "name": "newline2", "type": "ACElement", "value": "<hr>"},

    { "name": "SETTING_TB3ENABLE", "type": "ACCheckbox", "value": "1", "label": "Timed Brightness 3 Enable", "checked": "false", "global": "true"},
    { "name": "SETTING_TB3BRIGHT", "type": "ACInput", "label": "Brightness 0-255", "apply": "number", "global": "true"},
    { "name": "SETTING_TB3SUN", "type": "ACCheckbox", "value": "1", "label": "S", "checked": "false", "posterior": "none"},
    { "name": "SETTING_TB3MON", "type": "ACCheckbox", "value": "1", "label": "M", "checked": "false", "posterior": "none"},
    { "name": "SETTING_TB3TUE", "type": "ACCheckbox", "value": "1", "label": "T", "checked": "false", "posterior": "none"},
    { "name": "SETTING_TB3WED", "type": "ACCheckbox", "value": "1", "label": "W", "checked": "false", "posterior": "none"},
    { "name": "SETTING_TB3THU", "type": "ACCheckbox", "value": "1", "label": "Th", "checked": "false", "posterior": "none"},
    { "name": "SETTING_TB3FRI", "type": "ACCheckbox", "value": "1", "label": "F", "checked": "false", "posterior": "none"},
    { "name": "SETTING_TB3SAT", "type": "ACCheckbox", "value": "1", "label": "S", "checked": "false"},
    { "name": "SETTING_TB3FROM", "type": "ACInput", "label": "From", "apply": "number", "global": "true", "posterior": "none"},
    { "name": "SETTING_TB3TO", "type": "ACInput", "label": "To", "apply": "number", "global": "true"},
    { "name": "newline3", "type": "ACElement", "value": "<hr>"},

    { "name": "SETTING_TB4ENABLE", "type": "ACCheckbox", "value": "1", "label": "Timed Brightness 4 Enable", "checked": "false", "global": "true"},
    { "name": "SETTING_TB4BRIGHT", "type": "ACInput", "label": "Brightness 0-255", "apply": "number", "global": "true"},
    { "name": "SETTING_TB4SUN", "type": "ACCheckbox", "value": "1", "label": "S", "checked": "false", "posterior": "none"},
    { "name": "SETTING_TB4MON", "type": "ACCheckbox", "value": "1", "label": "M", "checked": "false", "posterior": "none"},
    { "name": "SETTING_TB4TUE", "type": "ACCheckbox", "value": "1", "label": "T", "checked": "false", "posterior": "none"},
    { "name": "SETTING_TB4WED", "type": "ACCheckbox", "value": "1", "label": "W", "checked": "false", "posterior": "none"},
    { "name": "SETTING_TB4THU", "type": "ACCheckbox", "value": "1", "label": "Th", "checked": "false", "posterior": "none"},
    { "name": "SETTING_TB4FRI", "type": "ACCheckbox", "value": "1", "label": "F", "checked": "false", "posterior": "none"},
    { "name": "SETTING_TB4SAT", "type": "ACCheckbox", "value": "1", "label": "S", "checked": "false"},
    { "name": "SETTING_TB4FROM", "type": "ACInput", "label": "From", "apply": "number", "global": "true", "posterior": "none"},
    { "name": "SETTING_TB4TO", "type": "ACInput", "label": "To", "apply": "number", "global": "true"},
    { "name": "newline4", "type": "ACElement", "value": "<hr>"},
   
    { "name": "add", "type": "ACSubmit", "value": "Submit", "uri": "/timed_brightness"}
  ]
}
)";
